htop (3.0.5-7) unstable; urgency=medium

  * Fix division by 0 on ZfsCompressedArcMeter (when no ZFS volume is mounted)
  * Update watch file to match Github URL schema change

 -- Daniel Lange <DLange@debian.org>  Sun, 02 May 2021 13:00:00 +0200

htop (3.0.5-6) unstable; urgency=medium

  * Fix cleaning the infoscreen before a next scan

 -- Daniel Lange <DLange@debian.org>  Mon, 01 Mar 2021 09:00:00 +0100

htop (3.0.5-5) unstable; urgency=medium

  * Fix forced sort order when switching to tree mode
  * Allow btime=0 on some embedded systems (i.e. no RTC)
  * Fix ZFS coloring to match other meters

 -- Daniel Lange <DLange@debian.org>  Mon, 15 Feb 2021 11:11:11 +0100

htop (3.0.5-4) unstable; urgency=medium

  * Fix mouse use / scrolling in Infoscreens
  * Fix Shift-F3 (prev hit in search mode) for QT based terminals
  * Harden string handling routine, sort timeout
  * Improve initial setup of CPU meters for systems with many cores

 -- Daniel Lange <DLange@debian.org>  Fri, 05 Feb 2021 08:50:00 +0100

htop (3.0.5-3) unstable; urgency=medium

  [ Daniel Lange ]
  * Overhaul of the column sorting logic
    Note to users: This may invert the sort logic for some columns over what
    is stored in your htoprc. Please press 'I' to invert the sort order and
    save the htoprc (by exiting htop) to restore your startup sort order.
  * Another update to the hurd patch
  * Fix PROCDIR for the hurd build
  * Disable sensors for hurd build (no libsensors-dev available)
  * Add patch to silence kFreeBSD compiler warnings
  * Build-dep on libsensors-dev (Closes: #980731)
  * Drop configure options from d/rules that were made unconditional upstream

  [ Graham Inggs ]
  * Add lm-sensors to Suggests

 -- Daniel Lange <DLange@debian.org>  Mon, 25 Jan 2021 11:11:00 +0100

htop (3.0.5-2) unstable; urgency=medium

  * Backport patches to fix:
    - Possible segfault in colored ("rich") string handling
    - Issue in field background coloring
    - Build for GNU/hurd (missing PATH_MAX in their limits.h)

 -- Daniel Lange <DLange@debian.org>  Fri, 15 Jan 2021 08:00:00 +0100

htop (3.0.5-1) unstable; urgency=medium

  * New upstream release 3.0.5
  * Remove Debian patches upstreamed
  * BUGFIX / SECURITY: InfoScreen: fix uncontrolled format string
  * BUGFIX: Improve white text in the Light Terminal colour scheme
  * Enable the function bar on the main screen to be hidden (see Setup -> Display options)
  * BUGFIX: Reduce layout issues esp. around printing wide characters (not complete yet)
  * BUGFIX: Make the follow function exit cleanly after followed process died
  * Update help and man page for improved -t / -s options
  * Drop usage of formatted error messages from <err.h>
  * Show arrow indicating order of sorted process column
  * Lots of plumbing around the internal Hashtable, hardening and code cleanups
  * LibSensors: add support for Ryzen CPUs
  * BUGFIX: Fix CPU percentage on M1 silicon Macs
  * LoadMeter: dynamically adjust color and total of bar
  * Enable going back to previous search matches (Shift-F3)
  * Added keybind 'N' for sorting by PID (drops 'n'/'N' as not used before much)

 -- Daniel Lange <DLange@debian.org>  Mon, 11 Jan 2021 20:45:00 +0100

htop (3.0.3-2) unstable; urgency=medium

  [ Daniel Lange ]
  * Fix display in tree mode
  * Fix pausing screen updates (press Z key) in tree mode

  [ Graham Inggs ]
  * Fix kFreeBSD build

 -- Daniel Lange <DLange@debian.org>  Fri, 11 Dec 2020 21:00:00 +0100

htop (3.0.3-1) unstable; urgency=medium

  * New upstream release 3.0.3
  * Enable delayacct support, closes: #908636
  * Enable libsensors support
  * Add svg icon, closes: #663635
  * Enable pausing screen updates (press Z key), closes: #821904
  * Hide process selection on ESC
  * Enable process sorting in 'tree' mode
  * Add screen for active file locks
  * Calculate library size (M_LRS column) from maps file
  * Add multiple new meters (Zram, systemd, network I/O, SELinux, date/time)
  * Add Linux cwd, security attributes, disk I/O process, context switch columns
  * Add support to change numeric options in settings screen
  * Rename virtual memory column from M_SIZE to M_VIRT
  * Enable showing CPU temperature in CPU meter
  * Read CPU frequency from sysfs by default
  * Add octuple-column CPU meters
  * BUGFIX: On Linux consider ZFS ARC to be cache
  * BUGFIX: Limit screen title length to window width
  * Show selected command wrapped in a separate window
  * Allow starting an item search with '/'
  * Document implicit incremental search
  * Handle 'q' as quit if first character
  * Merged view for COMM, EXE and cmdline (press m key)
  * Enhance highlighting of semi-large and large numbers
  * Code hardening, speedups, fd and memory leak fixes
  * Number CPUs from zero by default
  * Plus more minor changes and fixes from upstream
  * Update standards version to 4.5.1, no changes needed.

 -- Daniel Lange <DLange@debian.org>  Mon, 07 Dec 2020 11:30:00 +0100

htop (3.0.2-1) unstable; urgency=medium

  * New upstream release 3.0.2
  * Drop 'vim_mode' - several issues, needs rethink
  * fix regression in -u optional-argument handling
  * Build system rework to remove python, header generation

 -- Daniel Lange <DLange@debian.org>  Tue, 15 Sep 2020 08:02:00 +0200

htop (3.0.1-1) unstable; urgency=medium

  * New upstream release 3.0.1
  * Fix early exit with longer sysfs battery paths
  * Improve OOM output, fix sorting
  * Rework check buttons and tree open/closed
  * Add -U/--no-unicode option to disable unicode
  * Improvements to the affinity panel

 -- Daniel Lange <DLange@debian.org>  Thu, 03 Sep 2020 12:40:00 +0200

htop (3.0.0-1) unstable; urgency=medium

  * Switch upstream to htop-dev
  * New upstream release 3.0.0
  * Drop Debian patches merged upstream

 -- Daniel Lange <DLange@debian.org>  Thu, 27 Aug 2020 08:37:00 +0200

htop (2.2.0-3) unstable; urgency=medium

  [ Graham Inggs ]
  * Switch to debhelper 13
  * Avoid FTBFS with GCC 10 (Closes: #957344)
  * Close pipe after lsof

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Update standards version to 4.4.1, no changes needed.
  * Set upstream metadata fields: Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.

 -- Graham Inggs <ginggs@debian.org>  Fri, 03 Jul 2020 09:29:55 +0000

htop (2.2.0-2) unstable; urgency=medium

  * Switch to debhelper 12
  * Set Rules-Requires-Root: no
  * Run MakeHeader.py in Python 3
  * Drop trailing whitespace in debian/changelog
  * Bump Standards-Version to 4.4.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Sun, 21 Jul 2019 23:06:13 +0000

htop (2.2.0-1) unstable; urgency=medium

  * New upstream release 2.2.0
  * Update uscan to v4 and add gpg verification of upstream tarball
  * Drop patches that were merged upstream
  * Remove OpenVZ patch that wasn't merged upstream
    (for now, upstream issue 464)
  * Add upstream issue 780 patch
  * Fix compile issue with regenerated header files (patch)
  * Update policy to 4.1.4 (no changes required)

 -- Daniel Lange <DLange@debian.org>  Thu, 26 Apr 2018 21:10:00 +0200

htop (2.1.0-3) unstable; urgency=medium

  * Fix case of dyscalculia in changelog entry for 2.1.0-1
  * Update Daniel Lange's email address
  * Add debian/clean to remove autogenerated headers
  * Refresh debian/patches/601-openvz-new-ctid-vpid.patch
  * Fix issue with small terminals (Closes: #889693)
  * Fix preservation of LDFLAGS value during configure script
  * Handle unexpected values for character passed to isalnum

 -- Graham Inggs <ginggs@debian.org>  Sat, 17 Feb 2018 18:27:46 +0000

htop (2.1.0-2) unstable; urgency=medium

  * Add missing build-dependency on pkg-config

 -- Graham Inggs <ginggs@debian.org>  Mon, 05 Feb 2018 16:59:56 +0000

htop (2.1.0-1) unstable; urgency=medium

  [ Graham Inggs ]
  * New upstream release 2.1.0 (Closes: #889634)
  * Refresh debian/patches/601-openvz-new-ctid-vpid.patch
  * Update Vcs-* URIs for move to salsa.debian.org
  * Turn debhelper up to 11
  * Update debian/copyright
  * Remove trailing whitespace from debian/changelog
  * Use secure URI in Homepage and debian/watch
  * Bump Standards-Version to 4.1.3, no changes

  [ Helmut Grohne ]
  * Fix FTCBFS: Annotate python-minimal build dependency with :native.
    (Closes: #864672)

 -- Graham Inggs <ginggs@debian.org>  Mon, 05 Feb 2018 13:22:25 +0000

htop (2.0.2-1) unstable; urgency=medium

  * Update to upstream version 2.0.2
    - Use SOURCE_DATE_EPOCH instead of current year in copyright message
      to make build reproducible. (Closes: #822963)
    - Fix build to detect the Hurd as a Linux platform. (Closes: #821747)
    - Fix crash when setting CPU affinity and -fPIE. (LP: #1589549)
  * Bump Standards to 3.9.8 (no changes required)

 -- Daniel Lange <dl.ml1@usrlocal.de>  Mon, 25 Jul 2016 19:46:17 +0200

htop (2.0.1-1) unstable; urgency=medium

  * New upstream release 2.0.1. (Closes: #814401, #783893, #774930)
  * Clean up patches from 1.0.3 -> 2.0.1
  * Update compat -> 9, rules -> debhelper/9
  * Update debian/copyright to copyright-format/1.0 (Closes: #749850)
  * Add lsof as suggested (Closes: #817918)
  * Change maintainership jackyf -> DLange, jackyf and ginggs will
    co-maintain. Jackyf: Thank you very much for 8 years of htop
    maintenance!

 -- Daniel Lange <dl.ml1@usrlocal.de>  Thu, 14 Apr 2016 10:25:45 +0200

htop (1.0.3-1) unstable; urgency=low

  * New upstream release.
  * debian/watch:
    - Updated to use new download location (http://hisham.hm/htop/releases).
  * debian/patches:
    - 600-openvz-veid-on-kernels-gt-2.6.18.patch: refreshed.
    - 610-io-priority-only-on-linux.patch: ported to new upstream version.
    - 700-ltrace-support.patch: ported to new upstream version.
  * debian/control:
    - Bumped Standards-Version to 3.9.5, no changes needed.
    - Updated Homepage to 'http://hisham.hm/htop/'.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Thu, 01 May 2014 13:16:56 +0300

htop (1.0.2-3) unstable; urgency=low

  * debian/patches:
    - New patch 610-io-priority-only-on-linux.patch which should fix building
      on non-Linux kernels.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 05 Oct 2013 13:17:13 +0300

htop (1.0.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 29 Jun 2013 22:25:41 +0300

htop (1.0.2-1) experimental; urgency=low

  * New upstream release.
    - Ability to update process names on refreshes. (Closes: #475254)
    - More precise value of CPU%. (Closes: #668410)
    - Columns line up properly even when for more-than-5-digits process ids.
      (Closes: #687280)
  * debian/control:
    - Bumped Standards-Version to 3.9.4, no changes needed.
  * debian/patches:
    - Deleted 200-dont-delete-htoprc-if-symlink.patch, applied upstream.
    - 700-ltrace-support.patch: ported to new upstream version.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 01 Dec 2012 11:55:43 +0200

htop (1.0.1-4) unstable; urgency=low

  * debian/rules:
    - Retrieve and pass also CPPFLAGS and LDFLAGS. Patch by Simon Ruderich.
      (Closes: #685670)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 01 Sep 2012 14:29:59 +0300

htop (1.0.1-3) unstable; urgency=low

  * debian/rules:
    - Retrieve CFLAGS from dpkg-buildflags as dpkg-buildpackage stopped to
      export them. Thanks to Felix Geyer and Cyril Brulebois.
      (Closes: #685670)
  * debian/control:
    - Build-depend on dpkg (>= 1.16.1) for using dpkg-buildflags.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Mon, 27 Aug 2012 19:51:54 +0300

htop (1.0.1-2) unstable; urgency=low

  * debian/patches:
    - New patch 200-dont-delete-htoprc-if-symlink.patch from upstream VCS.
      (Closes: #662087)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Mon, 30 Jul 2012 19:12:16 +0300

htop (1.0.1-1) unstable; urgency=low

  * New upstream release.
    - Don't crash when trying to kill already finished process.
      (Closes: #652563, 657675)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 19 Feb 2012 10:24:46 +0200

htop (1.0-1) unstable; urgency=low

  * New upstream release.
    - Don't die after a terminal resize. (Closes: #464852)
    - Don't abort when a number of processes are removed from the list at
      once. (Closes: #541417)
    - Fixed the inconsistency in the documentation about "[" and "]" keys.
      (Closes: #610329)
  * debian/patches:
    - 100-fix-cgroups-crash.patch: deleted, upstream fixed it in a different
      way.
    - 600-openvz-veid-on-kernels-gt-2.6.18.patch: ported to new upstream
      version.
    - 700-ltrace-support.patch: ported to new upstream version.
    - 700-ltrace-support.patch: ltrace hotkey is 'L', not 'l'.
  * debian/control:
    - Add libhwloc-dev to Build-Depends on non-linux architectures.
    - Add libncursesw5-dev to Build-Depends, enabling unicode support.
  * debian/rules:
    - Enable native affinity functions on linux architectures and use hwloc
      library everywhere else.
  * debian/copyright:
    - Updated upstream copyright years.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 26 Nov 2011 15:58:33 +0200

htop (0.9-4) unstable; urgency=low

  * debian/rules:
    - Added 'build-arch' and 'build-indep' targets as suggested by Lintian.
  * debian/patches:
    - New patch 100-fix-cgroups-crash.patch fixing a crash when htop receives
      an unexpected input from a cgroups file. (Closes: #628040)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Wed, 21 Sep 2011 21:17:17 +0300

htop (0.9-3) unstable; urgency=low

  * debian/rules:
    - Enable cgroups support. (Closes: #627545)
  * debian/README.source:
    - added with standard instructions how to use quilt.
  * debian/control:
    - Fixed spelling as suggested by lintian.
    - Bumped Standards-Version to 3.9.2, no changes needed.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 22 May 2011 12:05:09 +0300

htop (0.9-2) unstable; urgency=low

  * Upload to unstable.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 13 Feb 2011 10:41:53 +0200

htop (0.9-1) experimental; urgency=low

  * New upstream release. (Closes: #610229)
    - Fixed by-process IO stats in some cases. (Closes: #526070)
    - Do not display nan% as CPU load sometimes. (Closes: #590535)
  * debian/patches:
    - 600-openvz-veid-on-kernels-gt-2.6.18.patch: ported to new upstream
      version.
    - 700-ltrace-support.patch: refreshed.
  * debian/control:
    - Bumped Standards-Version to 3.9.1, no changes needed.
    - Updated my mail address.
    - Removed 'DM-Upload-Allowed' flag as not needed anymore.
  * debian/copyright:
    - Updated author copyright years.
  * debian/watch:
    - Removed 'uupdate' option, not needed for my workflow.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 16 Jan 2011 19:36:07 +0200

htop (0.8.3-1) unstable; urgency=low

  * New upstream release:
    - 0.8.2 (LP: #385862):
      - Integrated lsof output. (Closes: #426003)
      - Handling of absend CPU should work now. (Closes: #494057, #476273)
      - Fixed a crash when sorting by USER column. (Closes: #526362)
      - Fixed display of gigabyte-sized values.
      - Fixed incremental search. (Closes: #521376)
      - Option to display hostname in the meters area.
    - 0.8.3
  * debian/control:
    - Suggested strace and ltrace. (Closes: #530449)
    - Bumped Standards-Version to 3.8.2, no changes needed.
  * debian/patches:
    - 700-ltrace-support.patch: modified to not contradict with new upstream
      release, the hotkey for ltrace output changed from 'l' to 'L'.
  * debian/README:
    - Added with note about ltrace support.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Mon, 29 Jun 2009 13:08:39 +0300

htop (0.8.1+svn149-2) unstable; urgency=low

  * debian/rules:
    - Build with VServer support. (Closes: #522905)

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Fri, 17 Apr 2009 21:54:45 +0300

htop (0.8.1+svn149-1) unstable; urgency=low

  * New upstream development snapshot:
    - Allow building without PLPA support. (Closes: #521861)
  * debian/patches:
    - 010-make-desktop-file-valid.patch: deleted, merged upstream.
    - 100-upstream-sort-by-processor-and-session.patch: deleted, merged
      upstream.
    - 110-upstream-fix-page-size-on-BSD.patch: deleted, merged upstream.
    - 120-upstream-explain-cpu-bars-in-monochrome-mode.patch: deleted, merged
      upstream.
    - 200-filter-non-printable-characters.patch: deleted, upstream has own
      version of this patch.
    - 610-rename-veid-to-ctid.patch: deleted, merged upstream.
    - 600-openvz-veid-on-kernels-gt-2.6.18.patch: refreshed.
    - 800-tree-view-without-userland-threads.patch: deleted, merged upstream.
    - 700-ltrace-support.patch: refreshed, added the description.
  * debian/rules:
    - Deal more robustly with config.{sub,guess} files, thanks to Roger Leigh.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sun, 05 Apr 2009 11:51:34 +0300

htop (0.8.1-6) unstable; urgency=low

  * debian/patches:
    - debian/patches/110-upstream-fix-page-size-on-BSD.patch was accidentally
      incorrectly applied, causing zeroes in memory columns. Fixed.
  * debian/rules:
    - File Process.c somewhy is not regenerated during normal build process.
      Regenerate it by hand.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sun, 29 Mar 2009 22:37:49 +0300

htop (0.8.1-5) unstable; urgency=low

  * debian/patches:
    - New 100-upstream-sort-by-processor-and-session.patch, cherry-picked from
      upstream svn: allow sorting by 'processor' and 'session' columns.
      (Closes: #501317)
    - New debian/patches/110-upstream-fix-page-size-on-BSD.patch,
      cherry-picked from upstream svn: fix page size on BSD systems.
      (Closes: #485277)
    - New debian/patches/120-upstream-explain-cpu-bars-in-monochrome-mode.patch,
      cherry-picked from upstream svn: document meanings of chars in CPU bars
      in monochrome mode. (Closes: #477222)
    - 600-openvz-veid-on-kernels-gt-2.6.18.patch: added a description.
    - 610-rename-veid-to-ctid.patch: added a description.
    - 800-tree-view-without-userland-threads.patch: added a description.
  * debian/control:
    - Bump 'Standards-Version' to 3.8.1, no changes needed.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sun, 29 Mar 2009 19:49:53 +0300

htop (0.8.1-4) unstable; urgency=low

  * debian/patches:
    - New 600-openvz-veid-on-kernels-gt-2.6.18.patch: fix determining veid on
      openvz-enabled kernels greater than 2.6.18. Patch by
      Thorsten Schifferdecker <tsd@debian.systs.org>. (Closes: #516846)
    - New 610-rename-veid-to-ctid.patch: openvz: renames 'veid' -> 'ctid' since
      it's now a preferred term. Patch by
      Thorsten Schifferdecker <tsd@debian.systs.org>. (Closes: #516847)
    - New 700-ltrace-support.patch: add ltrace(1) support in addition to strace
      support. Patch by <knotor@users.sourceforge.net>.
    - New 800-tree-view-with-userland-threads.patch: patch to fix tree view when
      userland threads are hidden, taken from Ubuntu.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Mon, 02 Mar 2009 23:17:04 +0200

htop (0.8.1-3) unstable; urgency=low

  * debian/rules:
    - Don't ship empty directories in the package.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sun, 15 Feb 2009 13:56:41 +0200

htop (0.8.1-2) experimental; urgency=low

  * Disabled unicode support, it has both build and work problems yet.
    (Closes: #507423)
  * debian/patches:
    - New patch 200-filter-non-printable-characters.patch to filter
      non-printable characters in process names. Thanks to Josh Triplett
      and Andrew O. Shadoura. (Closes: #504144)
    - 010-make-desktop-file-valid.patch: comment added.
  * debian/control:
    - Added '${misc:Depends}' to 'Depends', fixes lintian warning.
    - Added 'python-minimal' to 'Build-Depends' for MakeHeader.py.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sat, 06 Dec 2008 11:03:18 +0200

htop (0.8.1-1) experimental; urgency=low

  * New maintainer. Thanks for work, Bartosz Fenski!
  * New upstream release:
    - Changes in 0.8.1 (Closes: #499928):
      - Linux-VServer support.
      - Battery meter (Closes: #484771).
      - Fixed collection of IO stats in multithreaded processes.
      - Removed assertion that fails on hardened kernels.
    - Changes in 0.8.0 (Closes: #494646, #486213):
      - Ability to change sort column with the mouse by
        clicking column titles.
      - Added support for Linux per-process IO statistics.
      - Added Unicode support.
      - Fixed display of CPU count for threaded processes.
      - Avoid crashing when using many meters.
    - Other fixes:
      - Significantly increased line length limit (to 65535).
        (Closes: #470280)
  * debian/control:
    - Bumped 'Standards-Version' to 3.8.0, no changes needed.
    - Changed Build-Depends on debhelper to (>= 7) and 'libncurses5-dev' ->
      'libncursesw5-dev'. Added dependency on quilt (>= 0.40).
  * debian/rules:
    - Some cleanup, used debhelper v7 commands.
    - Pass '--enable-taskstats' and '--enable-unicode' options to configure.
    - Pass '--enable-openvz' to configure. (Closes: #480541)
  * debian/patches:
    - New 010-make-desktop-file-valid.patch: makes desktop file valid.
      Thanks to Nathan Handler <nathan.handler@gmail.com> (Closes: #488912)
  * debian/copyright:
    - Fixed path for GPLv2 license.
  * debian/menu:
    - Set proper section, removed hint (now useless).

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sun, 16 Nov 2008 20:36:18 +0200

htop (0.7-1) unstable; urgency=low

  * New upstrem version. (Closes: #452634)
  * Move URL to homepage header.
  * Bumped Standards-Version (no changes needed).
  * Fixed watch file. (Closes: #449631)

 -- Bartosz Fenski <fenio@debian.org>  Sat, 26 Apr 2008 13:57:14 +0200

htop (0.6.6+svn20070915-1) unstable; urgency=low

  * New upstream snapshot with dedication to Nico Golde
    (Closes: #410398, #410391, #427127)
    - fixes problems with trailing newline in confi (Closes: #420856)
    - fixes segfault on missing command line args (Closes: #435651)
    - fixes FTBS with GCC 4.3 branch (Closes: #416852)

 -- Bartosz Fenski <fenio@debian.org>  Sat, 15 Sep 2007 14:37:41 +0200

htop (0.6.3-1) unstable; urgency=low

  * New upstream version.
    - allows to rekill tagged group of processes (Closes: #375219)
  * Bumped Standards-Version to 3.7.2 (no changes needed).

 -- Bartosz Fenski <fenio@debian.org>  Mon, 14 Aug 2006 13:03:15 +0200

htop (0.6.2-1) unstable; urgency=low

  * New upstream version.
    - doesn't segfault running as root. (Closes: #354258)

 -- Bartosz Fenski <fenio@debian.org>  Tue,  4 Jul 2006 07:53:58 +0200

htop (0.6-1) unstable; urgency=low

  * New upstream version.
    - doesn't show pipe when some value is equal to zero. (Closes: #325058)
    - allows renicing group of processes. (Closes: #317391)

 -- Bartosz Fenski <fenio@debian.org>  Thu, 29 Dec 2005 13:22:07 +0100

htop (0.5.4-1) unstable; urgency=low

  * New upstream version.
    - does not leave cruft on console on exit. (Closes: #334657)

 -- Bartosz Fenski <fenio@debian.org>  Fri,  4 Nov 2005 17:25:27 +0100

htop (0.5.3-1) unstable; urgency=low

  * New upstream version.
  * Bumped Standards-Version to 3.6.2 (no changes needed).

 -- Bartosz Fenski <fenio@debian.org>  Tue, 20 Sep 2005 10:49:52 +0200

htop (0.5.2-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Bartosz Fenski <fenio@debian.org>  Wed,  8 Jun 2005 20:02:19 +0200

htop (0.5.1-1) unstable; urgency=low

  * New upstream version.
    - correctly honors limits for nice values (Closes: #291502)

 -- Bartosz Fenski <fenio@debian.org>  Sun, 10 Apr 2005 17:49:12 +0200

htop (0.5-2) unstable; urgency=low

  * watch file changed a little to handle weird upstream versions
  * s/fenio@o2.pl/fenio@debian.org/

 -- Bartosz Fenski <fenio@debian.org>  Thu,  7 Apr 2005 12:00:11 +0200

htop (0.5-1) unstable; urgency=low

  * New upstream version.
    - fixes problem with wrongly displayed CPU bar (Closes: #283212)

 -- Bartosz Fenski <fenio@o2.pl>  Sat, 27 Nov 2004 10:10:17 +0100

htop (0.4.1-3) unstable; urgency=low

  * Fixed handling of non-alphanumeric chars during search.
    Thanks to Gian Piero Carrubba for noticing it (Closes: #269060)
  * Added description of recursive search of processes to the manpage.
    Should be now clear how does it work so (Closes: #269061)

 -- Bartosz Fenski <fenio@o2.pl>  Tue, 31 Aug 2004 21:40:15 +0200

htop (0.4.1-2) unstable; urgency=low

  * Included updated manpage. (Closes: #269064)
    Thanks to Gian Piero Carrubba for provided patch.

 -- Bartosz Fenski <fenio@o2.pl>  Tue, 31 Aug 2004 21:08:13 +0200

htop (0.4.1-1) unstable; urgency=low

  * New upstream version.
    - fixes FTBFS on some archs (Closes: #268373)

 -- Bartosz Fenski <fenio@o2.pl>  Fri, 27 Aug 2004 14:01:11 +0200

htop (0.4-1) unstable; urgency=low

  * New upstream version.
  * Added debian/menu file.

 -- Bartosz Fenski <fenio@o2.pl>  Sun, 22 Aug 2004 13:09:12 +0200

htop (0.3.3-1) unstable; urgency=low

  * New upstream version.
  * Added debian/watch file.

 -- Bartosz Fenski <fenio@o2.pl>  Sun, 20 Jun 2004 10:33:13 +0200

htop (0.3.1-1) unstable; urgency=low

  * New upstream version.
  * Hopefully first official Debian release. (Closes: #248939)
    Thanks for sponsoring goes to Cedric Delfosse.
  * debian/rules:
    - removed dh_installman, cause it's now included by upstream.

 -- Bartosz Fenski <fenio@o2.pl>  Mon, 31 May 2004 05:37:15 +0200

htop (0.3-1) unstable; urgency=low

  * New upstream version.

 -- Bartosz Fenski <fenio@o2.pl>  Thu, 20 May 2004 01:15:05 +0200

htop (0.2.1-1) unstable; urgency=low

  * New upstream version.
  * Some updates to manual page.

 -- Bartosz Fenski <fenio@o2.pl>  Sat, 15 May 2004 10:15:03 +0200

htop (0.2-1) unstable; urgency=low

  * Initial Release.

 -- Bartosz Fenski <fenio@o2.pl>  Fri, 14 May 2004 10:37:04 +0200
